{
    "doc": "Coverage-based sex\n========================================\nGeneral information about the checks, versions, tools, and number of markers\nTODO: Consider removing Inferred karyotype",
    "fields": [
        {
            "doc": "Sample Id (e.g, LP00012645_5GH))",
            "name": "sampleId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Inferred karyotype using coverage information",
            "name": "inferredKaryotype",
            "type": [
                "null",
                {
                    "doc": "Kariotypic sex\nTODO: Check if we want to have different karyotype definitions for XO clearcut/doubtful",
                    "name": "KaryotypicSex",
                    "symbols": [
                        "UNKNOWN",
                        "XX",
                        "XY",
                        "XO",
                        "XXY",
                        "XXX",
                        "XXYY",
                        "XXXY",
                        "XXXX",
                        "XYY",
                        "OTHER"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Ratio of the average coverage of chromosome X to the average of the autosomal chromosome coverage",
            "name": "ratioChrX",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Ratio of the average coverage of chromosome Y to the average of the autosomal chromosome coverage",
            "name": "ratioChrY",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Number of copies of chromosome X",
            "name": "avgCnvChrX",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Number of copies of chromosome Y",
            "name": "avgCnvChrY",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Reviewed sex karyotype",
            "name": "reviewedKaryotype",
            "type": [
                "null",
                "KaryotypicSex"
            ]
        }
    ],
    "name": "CoverageBasedSex",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}